Subject: Re: [RFT] e100 driver on ARM

From: Jeff Garzik <[email-masked]>
Date: Thu, 26 Apr 2007 12:09:13 -0400

Kok, Auke wrote:
> Jeff Garzik wrote:
>> Lennert Buytenhek wrote:
>>> This is all a while ago now, but wasn't the e100 S-bit patch originally
>>> written by Intel people in response to the very same quote by Russell
>>> King that you've quoted above?
>>
>> Correct.
>>
>> I just wanted to make sure it didn't kill any boxes.
> 
> Neither did we. On top of that we didn't have the equipment to test on 
> ARM on until recently, and the system that I got recently will not even 
> load the kernel with an e100 NIC in the PCI slot (way way way before 
> e100.ko loads, e1000 works just fine). that doesn't help either.
> 
> Meanwhile we've not sat still and jesse wrote a patch to have e100 use 
> IO optionally for plagued platforms which seems to fix some of these 
> issues, and Jeff Kirsher has been actively tracking a e100 IPMI issue on 
> a very specific platform.
> 
> Jeff, I think I should just push the IO patch and the sbit code to 
> Andrew and have it sit there. That is a vastly larger test resource than 
> we currently can generate for this. If needed we just let is sit there 
> for a whole release cycle before moving it to #upstream.

The sbit code has been in -mm via netdev-2.6.git#ALL for many months 
now.  I am certainly open to adding any number of "for -mm only" style 
patches that you wish to pass along, for /any/ driver: e100, e1000, ixgb.

	Jeff